Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231736 - Review Request: perl-FileHandle-Fmode - FileHandle::Fmode Perl module
Summary: Review Request: perl-FileHandle-Fmode - FileHandle::Fmode Perl module
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-10 23:37 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 16:43:26 UTC
cweyl: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Thienemann 2007-03-10 23:37:29 UTC
Spec URL: http://home.bawue.de/~ixs/perl-FileHandle-Fmode/perl-FileHandle-Fmode.spec
SRPM URL: http://home.bawue.de/~ixs/perl-FileHandle-Fmode/perl-FileHandle-Fmode-0.09-1.src.rpm
Description:
Determine whether a filehandle is opened for reading, writing, or both.

Comment 1 Chris Weyl 2007-03-21 15:26:34 UTC
Two rpmlint end-of-line encoding warnings; correct those and I'll approve.

+ source files match upstream:
 1d0c629d8e4138fc753757ad41e69d5d  FileHandle-Fmode-0.09.tar.gz
 1d0c629d8e4138fc753757ad41e69d5d  ../FileHandle-Fmode-0.09.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
x rpmlint is silent.
+ final provides and requires are sane:
** perl-FileHandle-Fmode-0.09-1.fc6.x86_64.rpm
== rpmlint
W: perl-FileHandle-Fmode wrong-file-end-of-line-encoding
/usr/share/doc/perl-FileHandle-Fmode-0.09/CHANGES
W: perl-FileHandle-Fmode wrong-file-end-of-line-encoding
/usr/share/doc/perl-FileHandle-Fmode-0.09/README
== provides
Fmode.so()(64bit)  
perl(FileHandle::Fmode)  
perl-FileHandle-Fmode = 0.09-1.fc6
== requires
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
perl(:MODULE_COMPAT_5.8.8)  
perl(DynaLoader)  
perl(Exporter)  
perl(Fcntl)  
perl(strict)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
** perl-FileHandle-Fmode-debuginfo-0.09-1.fc6.x86_64.rpm
== rpmlint
== provides
Fmode.so.debug()(64bit)  
perl-FileHandle-Fmode-debuginfo = 0.09-1.fc6
== requires
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
+ %check is present and all tests pass:
All tests successful.
Files=2, Tests=104,  0 wallclock secs ( 0.05 cusr +  0.03 csys =  0.08 CPU)
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

Comment 3 Chris Weyl 2007-03-22 14:41:19 UTC
APPROVED

Comment 4 Andreas Thienemann 2007-03-23 09:42:35 UTC
New Package CVS Request
=======================
Package Name: perl-FileHandle-Fmode
Short Description: FileHandle::Fmode Perl module
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 5 Andreas Thienemann 2007-03-23 16:43:26 UTC
Thx for the review. Package has been built for devel, FC-5 and FC-6.
Closing as NEXTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.